Package org.eclipse.birt.core.template

# Class TextTemplate.ExpressionValueNode

java.lang.Object
org.eclipse.birt.core.template.TextTemplate.Node
org.eclipse.birt.core.template.TextTemplate.ValueNode
org.eclipse.birt.core.template.TextTemplate.ExpressionValueNode

Enclosing class:
  `TextTemplate`

public static class TextTemplate.ExpressionValueNode extends TextTemplate.ValueNode

## Constructor Summary

Constructors
Constructor
Description
`ExpressionValueNode()`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(TextTemplate.Visitor visitor, Object value)`

### Methods inherited from class org.eclipse.birt.core.template.TextTemplate.ValueNode

`getFormat, getFormatExpression, getValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpressionValueNode

public ExpressionValueNode()

## Method Details

### accept

public void accept(TextTemplate.Visitor visitor, Object value)

Overrides:
  `accept` in class `TextTemplate.ValueNode`